package com.gic.haoban.manage.api.service;

import com.gic.haoban.manage.api.dto.OperationSettingDTO;

/**
 * desc：操作设置对外服务
 *
 * @author: YongEn
 * @date: 2021/8/26
 **/
public interface OperationSettingApiService {

    /**
     * 保存设置
     *
     * @param dto dto
     */
    void saveOrUpdate(OperationSettingDTO dto);

    /**
     * 根据企业微信id查询
     *
     * @param wxEnterpriseId 企业微信id
     * @return dto
     */
    OperationSettingDTO getByWxEnterpriseId(String wxEnterpriseId);

}
