package com.gic.haoban.manage.api.service;


import com.gic.haoban.manage.api.response.SendSmsResponse;

/**
 * Created by Administrator on 2018/3/22.
 */
public interface ValidationCodeApiService {
    /**
     * 短信验证码
     *
     * @param phoneNumber
     * @param code
     */
    int smsValidationCode(String phoneNumber, String code);

    /**
     * 短信验证码
     *
     * @param nationCode
     * @param phoneNumber
     * @param code
     */
    int smsValidationCode(String nationCode,String phoneNumber, String code);

    SendSmsResponse sendValidationCode(String nationCode, String phoneNumber, String code);

    /**
     * 语音验证码
     *
     * @param phoneNumber
     * @param code
     * @return
     */
    int verifyValidationCode(String phoneNumber, String code);
    
   /**
    * 
    * @param nationCode
    * @param phoneNumber
    * @param unReadPeople
    * @param unReadCount
    * @return
    */
	int smsMessageNoReadRemind(String nationCode, String phoneNumber, String unReadPeople,String unReadCount,String enterpriseId);

    /**
     * 发送验证码
     *
     * @param nationCode
     * @param phoneNumber
     * @param code
     * @param enterpriseId
     * @param storeId
     * @param clerkId
     * @return
     */
    SendSmsResponse sendValidationCodeHb3(String nationCode, String phoneNumber, String code, String enterpriseId, String storeId, String clerkId, boolean payFlag);
}
