package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabHaobanApplicationSetting;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ApplicationSettingMapper {
    int deleteByPrimaryKey(String settingId);

    int insert(TabHaobanApplicationSetting record);

    int insertSelective(TabHaobanApplicationSetting record);

    TabHaobanApplicationSetting selectByPrimaryKey(String settingId);

    int updateByPrimaryKeySelective(TabHaobanApplicationSetting record);

    int updateByPrimaryKey(TabHaobanApplicationSetting record);
    
    void saveSetting(@Param("wxEnterpriseId")String wxEnterpriseId, @Param("applicationId")String applicationId,@Param("openFlag")int openFlag);
    
    TabHaobanApplicationSetting findSetting(@Param("wxEnterpriseId")String wxEnterpriseId, @Param("applicationId")String applicationId);
    
    List<TabHaobanApplicationSetting> listOpenByWxEnterpriseIdAndApplicationIds(@Param("wxEnterpriseId")String wxEnterpriseId, @Param("applicationIds")List<String> applicationIds);

    List<String> findMenuCodes(String wxEnterpriseId);
}