package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabHaobanStaffClerkBindLog;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface StaffClerkBindLogMapper {
    /**
     *
     */
    int insert(TabHaobanStaffClerkBindLog record);

    /**
     *
     */
    TabHaobanStaffClerkBindLog selectByPrimaryKey(Integer logId);

    /**
     * 列表
     *
     * @param clerkIds
     * @param staffIds
     * @param enterpriseIds
     * @param optType
     * @return
     */
    public List<TabHaobanStaffClerkBindLog> listStaffClerkBindLog(@Param("wxEnterpriseId") String wxEnterpriseId, 
             @Param("enterpriseId") String enterpriseId, @Param("optType") int optType, @Param("search") String search);

    public List<TabHaobanStaffClerkBindLog> staffClerkUnBindLog(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("clerkId") String clerkIds
            , @Param("enterpriseId") String enterpriseIds, @Param("optType") int optType);
}