package com.gic.haoban.manage.service.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * Created By MBG-GUI-EXTENSION https://github.com/spawpaw/mybatis-generator-gui-extension
 * Description:
 * 企业微信同步日志
 *
 * @author fdh
 */
public class TabQywxSyncLog implements Serializable {
    /**
     *
     */
    private String qywxSyncLogId;

    /**
     *
     */
    private String qywxTagRelationId;

    /**
     *
     */
    private String memberTagId;

    /**
     *
     */
    private String memberTagName;

    /**
     * 业务类型 0 标签组 1标签项
     */
    private Integer businessType;

    /**
     * 变更类型
     */
    private String changeCode;

    /**
     * 内容
     */
    private String logContent;

    /**
     * 操作code
     */
    private String optCode;

    /**
     *
     */
    private String optStaffId;

    /**
     * 同步任务id
     */
    private String syncTaskId;

    /**
     * 0删除 1同步中 2成功 3失败
     */
    private Integer statusFlag;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     */
    private static final long serialVersionUID = 1L;

    /**
     * This method returns the value of the database column tab_haoban_qywx_sync_log.qywx_sync_log_id
     *
     * @return the value of tab_haoban_qywx_sync_log.qywx_sync_log_id
     */
    public String getQywxSyncLogId() {
        return qywxSyncLogId;
    }

    /**
     * This method sets the value of the database column tab_haoban_qywx_sync_log.qywx_sync_log_id
     *
     * @param qywxSyncLogId the value for tab_haoban_qywx_sync_log.qywx_sync_log_id
     */
    public void setQywxSyncLogId(String qywxSyncLogId) {
        this.qywxSyncLogId = qywxSyncLogId;
    }

    /**
     * This method returns the value of the database column tab_haoban_qywx_sync_log.qywx_tag_relation_id
     *
     * @return the value of tab_haoban_qywx_sync_log.qywx_tag_relation_id
     */
    public String getQywxTagRelationId() {
        return qywxTagRelationId;
    }

    /**
     * This method sets the value of the database column tab_haoban_qywx_sync_log.qywx_tag_relation_id
     *
     * @param qywxTagRelationId the value for tab_haoban_qywx_sync_log.qywx_tag_relation_id
     */
    public void setQywxTagRelationId(String qywxTagRelationId) {
        this.qywxTagRelationId = qywxTagRelationId;
    }

    /**
     * This method returns the value of the database column tab_haoban_qywx_sync_log.member_tag_id
     *
     * @return the value of tab_haoban_qywx_sync_log.member_tag_id
     */
    public String getMemberTagId() {
        return memberTagId;
    }

    /**
     * This method sets the value of the database column tab_haoban_qywx_sync_log.member_tag_id
     *
     * @param memberTagId the value for tab_haoban_qywx_sync_log.member_tag_id
     */
    public void setMemberTagId(String memberTagId) {
        this.memberTagId = memberTagId;
    }

    /**
     * This method returns the value of the database column tab_haoban_qywx_sync_log.member_tag_name
     *
     * @return the value of tab_haoban_qywx_sync_log.member_tag_name
     */
    public String getMemberTagName() {
        return memberTagName;
    }

    /**
     * This method sets the value of the database column tab_haoban_qywx_sync_log.member_tag_name
     *
     * @param memberTagName the value for tab_haoban_qywx_sync_log.member_tag_name
     */
    public void setMemberTagName(String memberTagName) {
        this.memberTagName = memberTagName;
    }

    /**
     * This method returns the value of the database column tab_haoban_qywx_sync_log.business_type
     *
     * @return the value of tab_haoban_qywx_sync_log.business_type
     */
    public Integer getBusinessType() {
        return businessType;
    }

    /**
     * This method sets the value of the database column tab_haoban_qywx_sync_log.business_type
     *
     * @param businessType the value for tab_haoban_qywx_sync_log.business_type
     */
    public void setBusinessType(Integer businessType) {
        this.businessType = businessType;
    }

    /**
     * This method returns the value of the database column tab_haoban_qywx_sync_log.change_code
     *
     * @return the value of tab_haoban_qywx_sync_log.change_code
     */
    public String getChangeCode() {
        return changeCode;
    }

    /**
     * This method sets the value of the database column tab_haoban_qywx_sync_log.change_code
     *
     * @param changeCode the value for tab_haoban_qywx_sync_log.change_code
     */
    public void setChangeCode(String changeCode) {
        this.changeCode = changeCode;
    }

    /**
     * This method returns the value of the database column tab_haoban_qywx_sync_log.log_content
     *
     * @return the value of tab_haoban_qywx_sync_log.log_content
     */
    public String getLogContent() {
        return logContent;
    }

    /**
     * This method sets the value of the database column tab_haoban_qywx_sync_log.log_content
     *
     * @param logContent the value for tab_haoban_qywx_sync_log.log_content
     */
    public void setLogContent(String logContent) {
        this.logContent = logContent;
    }

    /**
     * This method returns the value of the database column tab_haoban_qywx_sync_log.opt_code
     *
     * @return the value of tab_haoban_qywx_sync_log.opt_code
     */
    public String getOptCode() {
        return optCode;
    }

    /**
     * This method sets the value of the database column tab_haoban_qywx_sync_log.opt_code
     *
     * @param optCode the value for tab_haoban_qywx_sync_log.opt_code
     */
    public void setOptCode(String optCode) {
        this.optCode = optCode;
    }

    /**
     * This method returns the value of the database column tab_haoban_qywx_sync_log.opt_staff_id
     *
     * @return the value of tab_haoban_qywx_sync_log.opt_staff_id
     */
    public String getOptStaffId() {
        return optStaffId;
    }

    /**
     * This method sets the value of the database column tab_haoban_qywx_sync_log.opt_staff_id
     *
     * @param optStaffId the value for tab_haoban_qywx_sync_log.opt_staff_id
     */
    public void setOptStaffId(String optStaffId) {
        this.optStaffId = optStaffId;
    }

    /**
     * This method returns the value of the database column tab_haoban_qywx_sync_log.sync_task_id
     *
     * @return the value of tab_haoban_qywx_sync_log.sync_task_id
     */
    public String getSyncTaskId() {
        return syncTaskId;
    }

    /**
     * This method sets the value of the database column tab_haoban_qywx_sync_log.sync_task_id
     *
     * @param syncTaskId the value for tab_haoban_qywx_sync_log.sync_task_id
     */
    public void setSyncTaskId(String syncTaskId) {
        this.syncTaskId = syncTaskId;
    }

    /**
     * This method returns the value of the database column tab_haoban_qywx_sync_log.status_flag
     *
     * @return the value of tab_haoban_qywx_sync_log.status_flag
     */
    public Integer getStatusFlag() {
        return statusFlag;
    }

    /**
     * This method sets the value of the database column tab_haoban_qywx_sync_log.status_flag
     *
     * @param statusFlag the value for tab_haoban_qywx_sync_log.status_flag
     */
    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    /**
     * This method returns the value of the database column tab_haoban_qywx_sync_log.create_time
     *
     * @return the value of tab_haoban_qywx_sync_log.create_time
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_qywx_sync_log.create_time
     *
     * @param createTime the value for tab_haoban_qywx_sync_log.create_time
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * This method returns the value of the database column tab_haoban_qywx_sync_log.update_time
     *
     * @return the value of tab_haoban_qywx_sync_log.update_time
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_qywx_sync_log.update_time
     *
     * @param updateTime the value for tab_haoban_qywx_sync_log.update_time
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}