package com.gic.haoban.manage.service.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * Created By MBG-GUI-EXTENSION https://github.com/spawpaw/mybatis-generator-gui-extension
 * Description:
 * 门店选择器
 *
 * @author fdh
 */
public class TabStoreRange implements Serializable {
    /**
     *
     */
    private String storeRangeId;

    /**
     *
     */
    private String wxEnterpriseId;

    /**
     * 商户id
     */
    private String enterpriseId;

    /**
     * 关联id 默认0
     */
    private String relationId;

    /**
     * 0所有门店 1分组 2门店
     */
    private Integer relationType;

    /**
     * 0删除 1正常
     */
    private Integer statusFlag;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     */
    private static final long serialVersionUID = 1L;

    /**
     * This method returns the value of the database column tab_haoban_store_range.store_range_id
     *
     * @return the value of tab_haoban_store_range.store_range_id
     */
    public String getStoreRangeId() {
        return storeRangeId;
    }

    /**
     * This method sets the value of the database column tab_haoban_store_range.store_range_id
     *
     * @param storeRangeId the value for tab_haoban_store_range.store_range_id
     */
    public void setStoreRangeId(String storeRangeId) {
        this.storeRangeId = storeRangeId;
    }

    /**
     * This method returns the value of the database column tab_haoban_store_range.wx_enterprise_id
     *
     * @return the value of tab_haoban_store_range.wx_enterprise_id
     */
    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    /**
     * This method sets the value of the database column tab_haoban_store_range.wx_enterprise_id
     *
     * @param wxEnterpriseId the value for tab_haoban_store_range.wx_enterprise_id
     */
    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    /**
     * This method returns the value of the database column tab_haoban_store_range.enterprise_id
     *
     * @return the value of tab_haoban_store_range.enterprise_id
     */
    public String getEnterpriseId() {
        return enterpriseId;
    }

    /**
     * This method sets the value of the database column tab_haoban_store_range.enterprise_id
     *
     * @param enterpriseId the value for tab_haoban_store_range.enterprise_id
     */
    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    /**
     * This method returns the value of the database column tab_haoban_store_range.relation_id
     *
     * @return the value of tab_haoban_store_range.relation_id
     */
    public String getRelationId() {
        return relationId;
    }

    /**
     * This method sets the value of the database column tab_haoban_store_range.relation_id
     *
     * @param relationId the value for tab_haoban_store_range.relation_id
     */
    public void setRelationId(String relationId) {
        this.relationId = relationId;
    }

    /**
     * This method returns the value of the database column tab_haoban_store_range.relation_type
     *
     * @return the value of tab_haoban_store_range.relation_type
     */
    public Integer getRelationType() {
        return relationType;
    }

    /**
     * This method sets the value of the database column tab_haoban_store_range.relation_type
     *
     * @param relationType the value for tab_haoban_store_range.relation_type
     */
    public void setRelationType(Integer relationType) {
        this.relationType = relationType;
    }

    /**
     * This method returns the value of the database column tab_haoban_store_range.status_flag
     *
     * @return the value of tab_haoban_store_range.status_flag
     */
    public Integer getStatusFlag() {
        return statusFlag;
    }

    /**
     * This method sets the value of the database column tab_haoban_store_range.status_flag
     *
     * @param statusFlag the value for tab_haoban_store_range.status_flag
     */
    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    /**
     * This method returns the value of the database column tab_haoban_store_range.create_time
     *
     * @return the value of tab_haoban_store_range.create_time
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_store_range.create_time
     *
     * @param createTime the value for tab_haoban_store_range.create_time
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * This method returns the value of the database column tab_haoban_store_range.update_time
     *
     * @return the value of tab_haoban_store_range.update_time
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_store_range.update_time
     *
     * @param updateTime the value for tab_haoban_store_range.update_time
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}