package com.gic.haoban.manage.service.pojo.entitydo;

import java.io.Serializable;
import java.util.Date;

/**
 * Created By MBG-GUI-EXTENSION https://github.com/spawpaw/mybatis-generator-gui-extension
 * Description:
 * 好办消息通知
 *
 * @author fdh
 */
public class NoticeMessageDO implements Serializable {
    /**
     *
     */
    private Long noticeMessageId;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 门店id
     */
    private String storeId;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 类别 0客户相关、1任务相关、2活动相关、3其他
     */
    private Integer categoryType;

    /**
     * 消息类型
     */
    private Integer messageType;

    /**
     * 标题
     */
    private String title;

    /**
     * 描述
     */
    private String description;

    /**
     * 关联的具体业务消息id
     */
    private String relationId;

    /**
     * 消息带的参数信息
     */
    private String messageContent;

    /**
     * 0 未读 1已读
     */
    private Integer readFlag;

    /**
     * 状态 0删除 1正常
     */
    private Integer deleteFlag;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     */
    private static final long serialVersionUID = 1L;

    /**
     * This method returns the value of the database column tab_haoban_notice_message.notice_message_id
     *
     * @return the value of tab_haoban_notice_message.notice_message_id
     */
    public Long getNoticeMessageId() {
        return noticeMessageId;
    }

    /**
     * This method sets the value of the database column tab_haoban_notice_message.notice_message_id
     *
     * @param noticeMessageId the value for tab_haoban_notice_message.notice_message_id
     */
    public void setNoticeMessageId(Long noticeMessageId) {
        this.noticeMessageId = noticeMessageId;
    }

    /**
     * This method returns the value of the database column tab_haoban_notice_message.enterprise_id
     *
     * @return the value of tab_haoban_notice_message.enterprise_id
     */
    public String getEnterpriseId() {
        return enterpriseId;
    }

    /**
     * This method sets the value of the database column tab_haoban_notice_message.enterprise_id
     *
     * @param enterpriseId the value for tab_haoban_notice_message.enterprise_id
     */
    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    /**
     * This method returns the value of the database column tab_haoban_notice_message.store_id
     *
     * @return the value of tab_haoban_notice_message.store_id
     */
    public String getStoreId() {
        return storeId;
    }

    /**
     * This method sets the value of the database column tab_haoban_notice_message.store_id
     *
     * @param storeId the value for tab_haoban_notice_message.store_id
     */
    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    /**
     * This method returns the value of the database column tab_haoban_notice_message.clerk_id
     *
     * @return the value of tab_haoban_notice_message.clerk_id
     */
    public String getClerkId() {
        return clerkId;
    }

    /**
     * This method sets the value of the database column tab_haoban_notice_message.clerk_id
     *
     * @param clerkId the value for tab_haoban_notice_message.clerk_id
     */
    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    /**
     * This method returns the value of the database column tab_haoban_notice_message.category_type
     *
     * @return the value of tab_haoban_notice_message.category_type
     */
    public Integer getCategoryType() {
        return categoryType;
    }

    /**
     * This method sets the value of the database column tab_haoban_notice_message.category_type
     *
     * @param categoryType the value for tab_haoban_notice_message.category_type
     */
    public void setCategoryType(Integer categoryType) {
        this.categoryType = categoryType;
    }

    /**
     * This method returns the value of the database column tab_haoban_notice_message.message_type
     *
     * @return the value of tab_haoban_notice_message.message_type
     */
    public Integer getMessageType() {
        return messageType;
    }

    /**
     * This method sets the value of the database column tab_haoban_notice_message.message_type
     *
     * @param messageType the value for tab_haoban_notice_message.message_type
     */
    public void setMessageType(Integer messageType) {
        this.messageType = messageType;
    }

    /**
     * This method returns the value of the database column tab_haoban_notice_message.title
     *
     * @return the value of tab_haoban_notice_message.title
     */
    public String getTitle() {
        return title;
    }

    /**
     * This method sets the value of the database column tab_haoban_notice_message.title
     *
     * @param title the value for tab_haoban_notice_message.title
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * This method returns the value of the database column tab_haoban_notice_message.description
     *
     * @return the value of tab_haoban_notice_message.description
     */
    public String getDescription() {
        return description;
    }

    /**
     * This method sets the value of the database column tab_haoban_notice_message.description
     *
     * @param description the value for tab_haoban_notice_message.description
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * This method returns the value of the database column tab_haoban_notice_message.relation_id
     *
     * @return the value of tab_haoban_notice_message.relation_id
     */
    public String getRelationId() {
        return relationId;
    }

    /**
     * This method sets the value of the database column tab_haoban_notice_message.relation_id
     *
     * @param relationId the value for tab_haoban_notice_message.relation_id
     */
    public void setRelationId(String relationId) {
        this.relationId = relationId;
    }

    /**
     * This method returns the value of the database column tab_haoban_notice_message.message_content
     *
     * @return the value of tab_haoban_notice_message.message_content
     */
    public String getMessageContent() {
        return messageContent;
    }

    /**
     * This method sets the value of the database column tab_haoban_notice_message.message_content
     *
     * @param messageContent the value for tab_haoban_notice_message.message_content
     */
    public void setMessageContent(String messageContent) {
        this.messageContent = messageContent;
    }

    /**
     * This method returns the value of the database column tab_haoban_notice_message.read_flag
     *
     * @return the value of tab_haoban_notice_message.read_flag
     */
    public Integer getReadFlag() {
        return readFlag;
    }

    /**
     * This method sets the value of the database column tab_haoban_notice_message.read_flag
     *
     * @param readFlag the value for tab_haoban_notice_message.read_flag
     */
    public void setReadFlag(Integer readFlag) {
        this.readFlag = readFlag;
    }

    /**
     * This method returns the value of the database column tab_haoban_notice_message.delete_flag
     *
     * @return the value of tab_haoban_notice_message.delete_flag
     */
    public Integer getDeleteFlag() {
        return deleteFlag;
    }

    /**
     * This method sets the value of the database column tab_haoban_notice_message.delete_flag
     *
     * @param deleteFlag the value for tab_haoban_notice_message.delete_flag
     */
    public void setDeleteFlag(Integer deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

    /**
     * This method returns the value of the database column tab_haoban_notice_message.create_time
     *
     * @return the value of tab_haoban_notice_message.create_time
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_notice_message.create_time
     *
     * @param createTime the value for tab_haoban_notice_message.create_time
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * This method returns the value of the database column tab_haoban_notice_message.update_time
     *
     * @return the value of tab_haoban_notice_message.update_time
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_notice_message.update_time
     *
     * @param updateTime the value for tab_haoban_notice_message.update_time
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}