package com.gic.haoban.manage.service.service;

import com.gic.haoban.manage.api.dto.MaterialDTO;

import java.util.List;

public interface MaterialService {

	List<MaterialDTO> listMaterialByCategoryId(String categoryId);

	void insertMaterial(MaterialDTO materialDTO);

	void batchInsertMaterial(List<MaterialDTO> materialList);

	MaterialDTO selectMaterialById(String materialId);

    List<MaterialDTO> listMaterialByIds(List<String> materialIds);

	void edit(MaterialDTO materialDTO);

	com.github.pagehelper.Page listMaterial(String wxEnterpriseId, String keyword, String categoryId,
											Integer materialType);

	/**
	 * 查询素材
	 *
	 * @param wxEnterpriseId
	 * @param keyword
	 * @param categoryId
	 * @param materialType
	 * @return
	 */
	com.github.pagehelper.Page listMaterial(String wxEnterpriseId, String keyword, List<String> categoryId,
											Integer materialType);

    MaterialDTO getMaterialByFromMaterialId(String fromMaterialId, String wxEnterpriseId);

    /**
     * 素材列表
     *
     * @param fromMaterialId
     * @return
     */
    List<MaterialDTO> listMaterialByFromMateralId(String fromMaterialId);

	/**
	 * 删除
	 *
	 * @param ids
	 */
	void delmaterialByIds(List<String> ids);

}
