package com.gic.haoban.manage.service.service.impl;

import com.gic.commons.util.UniqueIdUtils;
import com.gic.haoban.manage.service.dao.mapper.TabHaobanErrorLogMapper;
import com.gic.haoban.manage.service.entity.TabHaobanErrorLog;
import com.gic.haoban.manage.service.service.ErrorLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * desc：
 *
 * @author: YongEn
 * @date: 2022/1/18
 **/
@Service
public class ErrorLogServiceImpl implements ErrorLogService {

    @Autowired
    private TabHaobanErrorLogMapper tabHaobanErrorLogMapper;

    @Override
    public void save(TabHaobanErrorLog errorLog) {
        errorLog.setId(UniqueIdUtils.uniqueLong());
        errorLog.setCreateTime(new Date());
        errorLog.setUpdateTime(new Date());
        tabHaobanErrorLogMapper.insert(errorLog);
    }
}
