package com.gic.haoban.manage.service.service.out.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.haoban.manage.api.service.HaobanTimerApiService;
import com.gic.haoban.manage.service.service.ExternalClerkRelatedService;
import com.gic.haoban.manage.service.service.hm.HmQrcodeTempService;

@Service("haobanTimerApiService")
public class HaobanTimerApiServiceImpl implements HaobanTimerApiService {
    
    @Autowired
    private HmQrcodeTempService  hmQrcodeTempService ;
    
    @Autowired
    private ExternalClerkRelatedService externalClerkRelatedService ;
    
    
    @Override
    public ServiceResponse<Void> deleteTempWxHm(String params) {
        this.hmQrcodeTempService.deleteForTimer(); 
        return ServiceResponse.success();
    }
    
    @Override
    public ServiceResponse<Void> repairExternalUserId(String wxEnterpriseId) {
        this.externalClerkRelatedService.repairExternalUserId(wxEnterpriseId) ;
        return ServiceResponse.success();
    }
   

}
