package com.gic.haoban.manage.web.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.gic.dict.api.dto.NationCodeDTO;
import com.gic.dict.api.service.ManagerDictService;
import com.gic.haoban.common.utils.HaobanResponse;
import com.gic.haoban.manage.web.errCode.HaoBanErrCode;

@RequestMapping("/nationcode")
@RestController
public class NationcodeController extends WebBaseController{
	@Autowired
	ManagerDictService managerDictService;
	
	private static final String NATION_CODE = "NATION_CODE";
	/**
     * 获取国际码
     * @return
     */
    @RequestMapping("/get-nationcode-list")
    public HaobanResponse getNationcodeList(){
        List<NationCodeDTO> list = managerDictService.getDictList(NATION_CODE);
        return resultResponse(HaoBanErrCode.ERR_1, list);
    }

}
