package com.gic.haoban.manage.web.vo;

import java.io.Serializable;
import java.util.Date;

/**
 * Created By MBG-GUI-EXTENSION https://github.com/spawpaw/mybatis-generator-gui-extension
 * Description:
 * secret配置表
 * @author fdh
 */
public class SecretSettingVO implements Serializable {
    /**
     *
     */
    private String secretId;

    /**
     *   企业微信id
     *
     */
    private String wxEnterpriseId;

    /**
     *   名称
     *
     */
    private String secretName;

    /**
     *   值
     *
     */
    private String secretVal;

    /**
     *   gic企业id 会员小程序用到
     *
     */
    private String enterpriseId;

    private String enterpriseName;

    /**
     *   类型 0 客户联系secret 2通讯录secret 3好办助手 4会员小程序
     *
     */
    private Integer secretType;

    /**
     *   0 校验失败 1校验成果
     *
     */
    private Integer checkFlag;

    /**
     *   0 删除 1正常
     *
     */
    private Integer statusFlag;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     */
    private static final long serialVersionUID = 1L;

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    /**
     * This method returns the value of the database column tab_haoban_secret_setting.secret_id
     *
     * @return the value of tab_haoban_secret_setting.secret_id
     */
    public String getSecretId() {
        return secretId;
    }

    /**
     * This method sets the value of the database column tab_haoban_secret_setting.secret_id
     *
     * @param secretId the value for tab_haoban_secret_setting.secret_id
     */
    public void setSecretId(String secretId) {
        this.secretId = secretId;
    }

    /**
     * This method returns the value of the database column tab_haoban_secret_setting.wx_enterprise_id
     *
     * @return the value of tab_haoban_secret_setting.wx_enterprise_id
     */
    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    /**
     * This method sets the value of the database column tab_haoban_secret_setting.wx_enterprise_id
     *
     * @param wxEnterpriseId the value for tab_haoban_secret_setting.wx_enterprise_id
     */
    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    /**
     * This method returns the value of the database column tab_haoban_secret_setting.secret_name
     *
     * @return the value of tab_haoban_secret_setting.secret_name
     */
    public String getSecretName() {
        return secretName;
    }

    /**
     * This method sets the value of the database column tab_haoban_secret_setting.secret_name
     *
     * @param secretName the value for tab_haoban_secret_setting.secret_name
     */
    public void setSecretName(String secretName) {
        this.secretName = secretName;
    }

    /**
     * This method returns the value of the database column tab_haoban_secret_setting.secret_val
     *
     * @return the value of tab_haoban_secret_setting.secret_val
     */
    public String getSecretVal() {
        return secretVal;
    }

    /**
     * This method sets the value of the database column tab_haoban_secret_setting.secret_val
     *
     * @param secretVal the value for tab_haoban_secret_setting.secret_val
     */
    public void setSecretVal(String secretVal) {
        this.secretVal = secretVal;
    }

    /**
     * This method returns the value of the database column tab_haoban_secret_setting.enterprise_id
     *
     * @return the value of tab_haoban_secret_setting.enterprise_id
     */
    public String getEnterpriseId() {
        return enterpriseId;
    }

    /**
     * This method sets the value of the database column tab_haoban_secret_setting.enterprise_id
     *
     * @param enterpriseId the value for tab_haoban_secret_setting.enterprise_id
     */
    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    /**
     * This method returns the value of the database column tab_haoban_secret_setting.secret_type
     *
     * @return the value of tab_haoban_secret_setting.secret_type
     */
    public Integer getSecretType() {
        return secretType;
    }

    /**
     * This method sets the value of the database column tab_haoban_secret_setting.secret_type
     *
     * @param secretType the value for tab_haoban_secret_setting.secret_type
     */
    public void setSecretType(Integer secretType) {
        this.secretType = secretType;
    }

    /**
     * This method returns the value of the database column tab_haoban_secret_setting.check_flag
     *
     * @return the value of tab_haoban_secret_setting.check_flag
     */
    public Integer getCheckFlag() {
        return checkFlag;
    }

    /**
     * This method sets the value of the database column tab_haoban_secret_setting.check_flag
     *
     * @param checkFlag the value for tab_haoban_secret_setting.check_flag
     */
    public void setCheckFlag(Integer checkFlag) {
        this.checkFlag = checkFlag;
    }

    /**
     * This method returns the value of the database column tab_haoban_secret_setting.status_flag
     *
     * @return the value of tab_haoban_secret_setting.status_flag
     */
    public Integer getStatusFlag() {
        return statusFlag;
    }

    /**
     * This method sets the value of the database column tab_haoban_secret_setting.status_flag
     *
     * @param statusFlag the value for tab_haoban_secret_setting.status_flag
     */
    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    /**
     * This method returns the value of the database column tab_haoban_secret_setting.create_time
     *
     * @return the value of tab_haoban_secret_setting.create_time
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_secret_setting.create_time
     *
     * @param createTime the value for tab_haoban_secret_setting.create_time
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * This method returns the value of the database column tab_haoban_secret_setting.update_time
     *
     * @return the value of tab_haoban_secret_setting.update_time
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_secret_setting.update_time
     *
     * @param updateTime the value for tab_haoban_secret_setting.update_time
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}