package com.gic.haoban.manage.api.service;

import com.gic.haoban.manage.api.dto.WxApplicationDTO;

/**
 * Created by tgs on 2020/2/22.
 */
public interface WxApplicationApiService {
    /**
     * 绑定通讯录应用
     * @param dto
     */
    void addSuite(WxApplicationDTO dto);

    /**
     * 取消应用授权，暂时只是删除wxapplication应用绑定
     * @param corpId
     * @param suiteId
     */
    void cancelSuite(String corpId, String suiteId);

    /**
     * @param wxEnterpriseId
     * @param type
     * @return
     */
    WxApplicationDTO selectByWxEnterpriseIdAndApplicationType(String wxEnterpriseId, int type);

    /**
     * 根据corpid进行查询
     *
     * @param corpId 公司标识
     * @return {@link WxApplicationDTO }
     * @author mozhu
     * @date 2021-12-22 19:39:32
     */
    WxApplicationDTO selectByCorpid(String corpId);
}
