package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.MemberUnionidRelated;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MemberUnionidRelatedMapper {

    int insert(MemberUnionidRelated record);

    MemberUnionidRelated selectByPrimaryKey(String memberUnionidRelatedId);

    int updateByPrimaryKeySelective(MemberUnionidRelated record);

    int cleanByCid(@Param("cid") String cid);

    MemberUnionidRelated getByUnionId(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("staffId") String staffId, @Param("unionid") String unionid);

    void deleteByUnionidAndUserId(@Param("externalUserid") String externalUserid, @Param("staffId") String staffId);

    void delMemberUnionidRelatedBatch(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("externalUserids") List<String> externalUserid, @Param("staffId") String staffId);

    void cleanStaffRelated(@Param("wxEnterpriseId") String wxEnterpriseId, @Param("staffIds") List<String> staffIds);

    /**
     * 根据应用内的外部联系人获取信息
     *
     * @param wxUserId
     * @param wxEnterpriseId
     * @param selfExternalUserId
     * @return
     */
    MemberUnionidRelated getBySelfExternalUserId(@Param("staffId") String staffId, @Param("wxEnterpriseId") String wxEnterpriseId, @Param("selfExternalUserId") String selfExternalUserId);

    List<MemberUnionidRelated> listBySelfExternalUserId(@Param("staffId") String staffId, @Param("wxEnterpriseId") String wxEnterpriseId, @Param("selfExternalUserId") String selfExternalUserId);

    
    List<MemberUnionidRelated> listByWxEnterpriseIdAndExternalUserId(@Param("wxEnterpriseId") String wxEnterpriseId , @Param("list")List<String> externalUserIdList);

}