package com.gic.haoban.manage.service.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * Created By MBG-GUI-EXTENSION https://github.com/spawpaw/mybatis-generator-gui-extension
 * Description:
 * 离职成员的外部联系人列表
 *
 * @author fdh
 */
public class TabHandoverExternal implements Serializable {
    /**
     *
     */
    private String handoverExternalId;

    /**
     * 企业id
     */
    private String wxEnterpriseId;

    /**
     *
     */
    private String staffId;

    /**
     *
     */
    private String userId;

    /**
     * 外部联系人id
     */
    private String externalUserId;

    /**
     * 外部联系人名称
     */
    private String externalUserName;

    /**
     * 是否是好办的好友
     */
    private Integer haobanFriendFlag;

    private String relationId;

    /**
     * 头像
     */
    private String externalHeadUrl;

    /**
     * 0删除 1正常 2已分配处理
     */
    private Integer statusFlag;

    /**
     * 分配表的id
     */
    private String handoverTransferId;

    /**
     * 接替客户的时间，如果是等待接替状态，则为未来的自动接替时间
     */
    private Date takeoverTime;

    /**
     * 0- 1-接替完毕 2-等待接替 3-客户拒绝 4-接替成员客户达到上限
     */
    private Integer transferStatus;

    /**
     * 分配时间
     */
    private Date transferTime;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     */
    private static final long serialVersionUID = 1L;

    /**
     * This method returns the value of the database column tab_haoban_handover_external.handover_external_id
     *
     * @return the value of tab_haoban_handover_external.handover_external_id
     */
    public String getHandoverExternalId() {
        return handoverExternalId;
    }

    public String getRelationId() {
        return relationId;
    }

    public void setRelationId(String relationId) {
        this.relationId = relationId;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_external.handover_external_id
     *
     * @param handoverExternalId the value for tab_haoban_handover_external.handover_external_id
     */
    public void setHandoverExternalId(String handoverExternalId) {
        this.handoverExternalId = handoverExternalId;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_external.wx_enterprise_id
     *
     * @return the value of tab_haoban_handover_external.wx_enterprise_id
     */
    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_external.wx_enterprise_id
     *
     * @param wxEnterpriseId the value for tab_haoban_handover_external.wx_enterprise_id
     */
    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_external.staff_id
     *
     * @return the value of tab_haoban_handover_external.staff_id
     */
    public String getStaffId() {
        return staffId;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_external.staff_id
     *
     * @param staffId the value for tab_haoban_handover_external.staff_id
     */
    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_external.user_id
     *
     * @return the value of tab_haoban_handover_external.user_id
     */
    public String getUserId() {
        return userId;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_external.user_id
     *
     * @param userId the value for tab_haoban_handover_external.user_id
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_external.external_user_id
     *
     * @return the value of tab_haoban_handover_external.external_user_id
     */
    public String getExternalUserId() {
        return externalUserId;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_external.external_user_id
     *
     * @param externalUserId the value for tab_haoban_handover_external.external_user_id
     */
    public void setExternalUserId(String externalUserId) {
        this.externalUserId = externalUserId;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_external.external_user_name
     *
     * @return the value of tab_haoban_handover_external.external_user_name
     */
    public String getExternalUserName() {
        return externalUserName;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_external.external_user_name
     *
     * @param externalUserName the value for tab_haoban_handover_external.external_user_name
     */
    public void setExternalUserName(String externalUserName) {
        this.externalUserName = externalUserName;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_external.haoban_friend_flag
     *
     * @return the value of tab_haoban_handover_external.haoban_friend_flag
     */
    public Integer getHaobanFriendFlag() {
        return haobanFriendFlag;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_external.haoban_friend_flag
     *
     * @param haobanFriendFlag the value for tab_haoban_handover_external.haoban_friend_flag
     */
    public void setHaobanFriendFlag(Integer haobanFriendFlag) {
        this.haobanFriendFlag = haobanFriendFlag;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_external.external_head_url
     *
     * @return the value of tab_haoban_handover_external.external_head_url
     */
    public String getExternalHeadUrl() {
        return externalHeadUrl;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_external.external_head_url
     *
     * @param externalHeadUrl the value for tab_haoban_handover_external.external_head_url
     */
    public void setExternalHeadUrl(String externalHeadUrl) {
        this.externalHeadUrl = externalHeadUrl;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_external.status_flag
     *
     * @return the value of tab_haoban_handover_external.status_flag
     */
    public Integer getStatusFlag() {
        return statusFlag;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_external.status_flag
     *
     * @param statusFlag the value for tab_haoban_handover_external.status_flag
     */
    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_external.handover_transfer_id
     *
     * @return the value of tab_haoban_handover_external.handover_transfer_id
     */
    public String getHandoverTransferId() {
        return handoverTransferId;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_external.handover_transfer_id
     *
     * @param handoverTransferId the value for tab_haoban_handover_external.handover_transfer_id
     */
    public void setHandoverTransferId(String handoverTransferId) {
        this.handoverTransferId = handoverTransferId;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_external.takeover_time
     *
     * @return the value of tab_haoban_handover_external.takeover_time
     */
    public Date getTakeoverTime() {
        return takeoverTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_external.takeover_time
     *
     * @param takeoverTime the value for tab_haoban_handover_external.takeover_time
     */
    public void setTakeoverTime(Date takeoverTime) {
        this.takeoverTime = takeoverTime;
    }

    public Integer getTransferStatus() {
        return transferStatus;
    }

    public void setTransferStatus(Integer transferStatus) {
        this.transferStatus = transferStatus;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_external.transfer_time
     *
     * @return the value of tab_haoban_handover_external.transfer_time
     */
    public Date getTransferTime() {
        return transferTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_external.transfer_time
     *
     * @param transferTime the value for tab_haoban_handover_external.transfer_time
     */
    public void setTransferTime(Date transferTime) {
        this.transferTime = transferTime;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_external.create_time
     *
     * @return the value of tab_haoban_handover_external.create_time
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_external.create_time
     *
     * @param createTime the value for tab_haoban_handover_external.create_time
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_external.update_time
     *
     * @return the value of tab_haoban_handover_external.update_time
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_external.update_time
     *
     * @param updateTime the value for tab_haoban_handover_external.update_time
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}