package com.gic.haoban.manage.service.entity;

import org.springframework.beans.factory.annotation.Autowired;

import java.io.Serializable;
import java.util.Date;

/**
 * Created By MBG-GUI-EXTENSION https://github.com/spawpaw/mybatis-generator-gui-extension
 * Description:
 * 离职成员
 *
 * @author fdh
 */
public class TabHandoverStaff implements Serializable {
    /**
     *
     */
    private String handoverStaffId;

    /**
     *
     */
    private String wxEnterpriseId;

    /**
     *
     */
    private String staffId;
    /**
     * 主门店id 当时
     */
    private String storeId;

    /**
     * 外部联系人id
     */
    private String handoverUserId;

    /**
     * 离职时间
     */
    private Date dimissionTime;

    /**
     * 好友数量
     */
    private Integer friendCount;

    /**
     * 好办好友数量
     */
    private Integer haobanFriendCount;

    /**
     *
     */
    private Integer statusFlag;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     */
    private static final long serialVersionUID = 1L;

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_staff.handover_staff_id
     *
     * @return the value of tab_haoban_handover_staff.handover_staff_id
     */
    public String getHandoverStaffId() {
        return handoverStaffId;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_staff.handover_staff_id
     *
     * @param handoverStaffId the value for tab_haoban_handover_staff.handover_staff_id
     */
    public void setHandoverStaffId(String handoverStaffId) {
        this.handoverStaffId = handoverStaffId;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_staff.wx_enterprise_id
     *
     * @return the value of tab_haoban_handover_staff.wx_enterprise_id
     */
    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_staff.wx_enterprise_id
     *
     * @param wxEnterpriseId the value for tab_haoban_handover_staff.wx_enterprise_id
     */
    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_staff.staff_id
     *
     * @return the value of tab_haoban_handover_staff.staff_id
     */
    public String getStaffId() {
        return staffId;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_staff.staff_id
     *
     * @param staffId the value for tab_haoban_handover_staff.staff_id
     */
    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_staff.handover_user_id
     *
     * @return the value of tab_haoban_handover_staff.handover_user_id
     */
    public String getHandoverUserId() {
        return handoverUserId;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_staff.handover_user_id
     *
     * @param handoverUserId the value for tab_haoban_handover_staff.handover_user_id
     */
    public void setHandoverUserId(String handoverUserId) {
        this.handoverUserId = handoverUserId;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_staff.dimission_time
     *
     * @return the value of tab_haoban_handover_staff.dimission_time
     */
    public Date getDimissionTime() {
        return dimissionTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_staff.dimission_time
     *
     * @param dimissionTime the value for tab_haoban_handover_staff.dimission_time
     */
    public void setDimissionTime(Date dimissionTime) {
        this.dimissionTime = dimissionTime;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_staff.friend_count
     *
     * @return the value of tab_haoban_handover_staff.friend_count
     */
    public Integer getFriendCount() {
        return friendCount;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_staff.friend_count
     *
     * @param friendCount the value for tab_haoban_handover_staff.friend_count
     */
    public void setFriendCount(Integer friendCount) {
        this.friendCount = friendCount;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_staff.haoban_friend_count
     *
     * @return the value of tab_haoban_handover_staff.haoban_friend_count
     */
    public Integer getHaobanFriendCount() {
        return haobanFriendCount;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_staff.haoban_friend_count
     *
     * @param haobanFriendCount the value for tab_haoban_handover_staff.haoban_friend_count
     */
    public void setHaobanFriendCount(Integer haobanFriendCount) {
        this.haobanFriendCount = haobanFriendCount;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_staff.status_flag
     *
     * @return the value of tab_haoban_handover_staff.status_flag
     */
    public Integer getStatusFlag() {
        return statusFlag;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_staff.status_flag
     *
     * @param statusFlag the value for tab_haoban_handover_staff.status_flag
     */
    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_staff.create_time
     *
     * @return the value of tab_haoban_handover_staff.create_time
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_staff.create_time
     *
     * @param createTime the value for tab_haoban_handover_staff.create_time
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_staff.update_time
     *
     * @return the value of tab_haoban_handover_staff.update_time
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_staff.update_time
     *
     * @param updateTime the value for tab_haoban_handover_staff.update_time
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}