package com.gic.haoban.manage.service.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * Created By MBG-GUI-EXTENSION https://github.com/spawpaw/mybatis-generator-gui-extension
 * Description:
 * 离职分配记录
 *
 * @author fdh
 */
public class TabHandoverTransfer implements Serializable {
    /**
     *
     */
    private String handoverTransferId;

    /**
     *
     */
    private String wxEnterpriseId;

    /**
     * 当前操作的门店
     */
    private String storeId;

    /**
     * 操作人的用户id
     */
    private String handoverStaffId;

    /**
     * 接收人的staffid
     */
    private String takeoverStaffId;

    /**
     * 分配的数量
     */
    private Integer externalCount;

    /**
     * 0删除 1正常
     */
    private Integer statusFlag;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     */
    private static final long serialVersionUID = 1L;

    /**
     * This method returns the value of the database column tab_haoban_handover_transfer.handover_transfer_id
     *
     * @return the value of tab_haoban_handover_transfer.handover_transfer_id
     */
    public String getHandoverTransferId() {
        return handoverTransferId;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_transfer.handover_transfer_id
     *
     * @param handoverTransferId the value for tab_haoban_handover_transfer.handover_transfer_id
     */
    public void setHandoverTransferId(String handoverTransferId) {
        this.handoverTransferId = handoverTransferId;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_transfer.wx_enterprise_id
     *
     * @return the value of tab_haoban_handover_transfer.wx_enterprise_id
     */
    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_transfer.wx_enterprise_id
     *
     * @param wxEnterpriseId the value for tab_haoban_handover_transfer.wx_enterprise_id
     */
    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_transfer.store_id
     *
     * @return the value of tab_haoban_handover_transfer.store_id
     */
    public String getStoreId() {
        return storeId;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_transfer.store_id
     *
     * @param storeId the value for tab_haoban_handover_transfer.store_id
     */
    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_transfer.handover_staff_id
     *
     * @return the value of tab_haoban_handover_transfer.handover_staff_id
     */
    public String getHandoverStaffId() {
        return handoverStaffId;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_transfer.handover_staff_id
     *
     * @param handoverStaffId the value for tab_haoban_handover_transfer.handover_staff_id
     */
    public void setHandoverStaffId(String handoverStaffId) {
        this.handoverStaffId = handoverStaffId;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_transfer.takeover_staff_id
     *
     * @return the value of tab_haoban_handover_transfer.takeover_staff_id
     */
    public String getTakeoverStaffId() {
        return takeoverStaffId;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_transfer.takeover_staff_id
     *
     * @param takeoverStaffId the value for tab_haoban_handover_transfer.takeover_staff_id
     */
    public void setTakeoverStaffId(String takeoverStaffId) {
        this.takeoverStaffId = takeoverStaffId;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_transfer.external_count
     *
     * @return the value of tab_haoban_handover_transfer.external_count
     */
    public Integer getExternalCount() {
        return externalCount;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_transfer.external_count
     *
     * @param externalCount the value for tab_haoban_handover_transfer.external_count
     */
    public void setExternalCount(Integer externalCount) {
        this.externalCount = externalCount;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_transfer.status_flag
     *
     * @return the value of tab_haoban_handover_transfer.status_flag
     */
    public Integer getStatusFlag() {
        return statusFlag;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_transfer.status_flag
     *
     * @param statusFlag the value for tab_haoban_handover_transfer.status_flag
     */
    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_transfer.create_time
     *
     * @return the value of tab_haoban_handover_transfer.create_time
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_transfer.create_time
     *
     * @param createTime the value for tab_haoban_handover_transfer.create_time
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * This method returns the value of the database column tab_haoban_handover_transfer.update_time
     *
     * @return the value of tab_haoban_handover_transfer.update_time
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_handover_transfer.update_time
     *
     * @param updateTime the value for tab_haoban_handover_transfer.update_time
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}