package com.gic.haoban.manage.service.service;

import com.gic.haoban.manage.service.pojo.bo.StaffPrivacyUseLogBO;
import com.gic.haoban.manage.service.pojo.vo.TabStaffPrivacyUseLogVO;

import java.util.List;

/**
 * @author xuwenqian
 * @date 2021/12/15 10:46
 */
public interface StaffPrivacyUseLogService {
    /**
     * 新增
     *
     * @param staffPrivacyUseLogBO 选项卡员工隐私使用日志bo
     * @return int
     * @author mozhu
     * @date 2021-12-15 10:51:51
     */
    int insert(StaffPrivacyUseLogBO staffPrivacyUseLogBO);

    /**
     * 更新
     *
     * @param staffPrivacyUseLogBO 选项卡员工隐私使用日志bo
     * @return int
     * @author mozhu
     * @date 2021-12-15 10:51:53
     */
    int update(StaffPrivacyUseLogBO staffPrivacyUseLogBO);

    /**
     * 查询
     *
     * @param staffId 员工id
     * @return {@link List<TabStaffPrivacyUseLogVO> }
     * @author mozhu
     * @date 2021-12-15 10:51:32
     */
    StaffPrivacyUseLogBO getByStaffId(String staffId);


    /**
     * 通过用户id
     *
     * @param userId 用户id
     * @return {@link StaffPrivacyUseLogBO }
     * @author mozhu
     * @date 2022-04-14 14:30:30
     */
    StaffPrivacyUseLogBO getByUserId(String userId);
}
