package com.gic.haoban.manage.service.service.hm;

import com.gic.api.base.commons.Page;
import com.gic.haoban.manage.api.dto.hm.HmPageDTO;
import com.gic.haoban.manage.service.pojo.bo.hm.HmPageBO;
import com.gic.haoban.manage.service.pojo.qo.HmPageTemplateQO;

/**
 * @Author MUSI
 * @Date 2022/7/1 5:49 PM
 * @Description
 *  落地页相关
 * @Version
 **/
public interface HmPageService {



    /**
     * 根据落地页id 查询落地页详情
     * @param pageId
     * @return
     */
    HmPageBO queryHmPageDetail(Long pageId);

    /**
     * 条件查询落地页模板
     * @param pageTemplateQo
     * @return
     */
    Page<HmPageBO> queryPageList(HmPageTemplateQO pageTemplateQo);

    /**
     * 删除落地页模板
     * @param pageDTO
     */
    void deleteHmPage(HmPageDTO pageDTO);

    /**
     * 保存
     * @param pageDTO
     * @return
     */
    Long saveOrUpdateHmPage(HmPageDTO pageDTO);
}
