package com.gic.haoban.manage.service.service.out.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.haoban.manage.api.dto.ErrorLogDTO;
import com.gic.haoban.manage.api.service.out.ErrorLogApiService;
import com.gic.haoban.manage.service.entity.TabHaobanErrorLog;
import com.gic.haoban.manage.service.service.ErrorLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * desc：好办错误日志服务实现
 *
 * @author: YongEn
 * @date: 2022/1/18
 **/
@Service
public class ErrorLogApiServiceImpl implements ErrorLogApiService {

    @Autowired
    private ErrorLogService errorLogService;

    @Override
    public void save(ErrorLogDTO dto) {
        TabHaobanErrorLog errorLog = EntityUtil.changeEntityNew(TabHaobanErrorLog.class, dto);
        errorLogService.save(errorLog);
    }
}
