import com.gic.haoban.manage.service.entity.TabHaobanErrorLog;
import com.gic.haoban.manage.service.service.ErrorLogService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

/**
 * desc：
 *
 * @author: YongEn
 * @date: 2022/1/18
 **/

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = {"classpath:applicationContext-conf.xml"})
public class ErrorLogTest {

    @Autowired
    private ErrorLogService errorLogService;

    @Test
    public void testSave() {
        TabHaobanErrorLog errorLog = new TabHaobanErrorLog();
        errorLog.setEnterpriseId("123123");
        errorLog.setModuleDesc("haoban-manage3-service");
        errorLog.setErrorDesc("测试错误");
        errorLog.setErrorFlagId("123123");
        errorLog.setErrorParam("{123,123}");
        errorLog.setRemark("123123");
        errorLogService.save(errorLog);
    }

}
